package com.gic.haoban.manage.service.service.out.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.alibaba.csp.sentinel.util.StringUtil;
import com.gic.commons.util.EntityUtil;
import com.gic.haoban.common.utils.UuidUtil;
import com.gic.haoban.manage.api.dto.MaidianDictDTO;
import com.gic.haoban.manage.api.dto.MaidianDictModuleDTO;
import com.gic.haoban.manage.api.service.MaidianDictApiService;
import com.gic.haoban.manage.service.dao.mapper.TabHaobanMaidianDictMapper;
import com.gic.haoban.manage.service.dao.mapper.TabHaobanMaidianDictModuleMapper;
import com.gic.haoban.manage.service.entity.TabHaobanMaidianDict;
import com.gic.haoban.manage.service.entity.TabHaobanMaidianDictModule;
import java.util.Date;

/**
 * Created by tgs on 2020/2/9.
 */
@Service
public class MaidianDictApiServiceImpl implements MaidianDictApiService{
	@Autowired
	private TabHaobanMaidianDictMapper tabHaobanMaidianDictMapper;
	@Autowired
	private TabHaobanMaidianDictModuleMapper tabHaobanMaidianDictModuleMapper;
	@Override
	public void saveModule(MaidianDictModuleDTO dto) {
		TabHaobanMaidianDictModule tab = EntityUtil.changeEntityByJSON(TabHaobanMaidianDictModule.class, dto);
		if(StringUtil.isEmpty(tab.getModuleId())){
			//新增
			tab.setCreateTime(new Date());
			tab.setUpdateTime(new Date());
			tab.setStatus(1);
			tab.setModuleId(UuidUtil.randomUUID());
			tabHaobanMaidianDictModuleMapper.insert(tab);
		}else{
			//更新
			tab.setUpdateTime(new Date());
			tabHaobanMaidianDictModuleMapper.updateByPrimaryKey(tab);
		}
	}
	@Override
	public void savePage(MaidianDictDTO dto) {
		TabHaobanMaidianDict tab = EntityUtil.changeEntityByJSON(TabHaobanMaidianDict.class, dto);
		if(StringUtil.isEmpty(tab.getDictId())){
			//新增
			tab.setCreateTime(new Date());
			tab.setUpdateTime(new Date());
			tab.setStatus(1);
			tab.setModuleId(UuidUtil.randomUUID());
			tabHaobanMaidianDictMapper.insert(tab);
		}else{
			//更新
			tab.setUpdateTime(new Date());
			tabHaobanMaidianDictMapper.updateByPrimaryKey(tab);
		}
		
	}

}
